Package commoble.exmachina.engine.internal.circuit

# Class CircuitBuilder

java.lang.Object
commoble.exmachina.engine.internal.circuit.CircuitBuilder

public class CircuitBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`CircuitBuilder()`

## Method Summary

Modifier and Type
Method
Description
`static Circuit`
`attemptToBuildCircuitFrom(net.minecraft.world.level.LevelAccessor world, net.minecraft.core.BlockPos pos)`
`static Circuit`
`buildCircuit(net.minecraft.world.level.LevelAccessor world, Map<net.minecraft.core.BlockPos,org.apache.commons.lang3.tuple.Pair<net.minecraft.world.level.block.state.BlockState,StateComponent>> components)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CircuitBuilder

public CircuitBuilder()

## Method Details

### attemptToBuildCircuitFrom

public static Circuit attemptToBuildCircuitFrom(net.minecraft.world.level.LevelAccessor world, net.minecraft.core.BlockPos pos)

### buildCircuit

public static Circuit buildCircuit(net.minecraft.world.level.LevelAccessor world, Map<net.minecraft.core.BlockPos,org.apache.commons.lang3.tuple.Pair<net.minecraft.world.level.block.state.BlockState,StateComponent>> components)